# $Revision: 1.10 $, $Date: 2002/07/07 18:40:32 $
Summary:	HPGL converter into some vector and raster formats
Summary(pl):	Konwerter z jzyka HPGL do rnych formatw wektorowych i rastrowych
Name:		hp2xx
Version:	3.4.2
Release:	1
License:	GPL
Group:		Applications/Graphics
Source0:	ftp://ftp.gnu.org/gnu/hp2xx/%{name}-%{version}.tar.gz
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-info.patch
URL:		http://www.gnu.org/software/hp2xx/hp2xx.html
BuildRequires:	XFree86-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	pdflib-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
hp2xx reads HPGL ASCII source files, interprets them, and converts
them into either another vector-oriented format or one of several
rasterfile formats. Currently, its HPGL parser recognizes a subset of
HPGL/2.

hp2xx can be used as ImageMagick delegate to convert HPGL files.

%description -l pl
hp2xx czyta pliki rdowe HPGL, interpretuje i konwertuje do innego
formatu wektorowego lub ktrego z formatw rastrowych. Aktualnie
parser HPGL rozpoznaje podzbir HPGL/2.

hp2xx moe by uywany przez ImageMagick do konwersji plikw HPGL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES README TODO doc/{changes,hp_cmds.lst}
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: hp2xx.spec,v $
Revision 1.10  2002/07/07 18:40:32  qboosh
- updated to 3.4.2 (numerous bug fixes, support for more HPGL commands)
- updated makefile patch, added JPEG and PDF output support
- new %%doc, removed libpng 1.2.2 hack

Revision 1.9  2002/04/28 09:43:55  qboosh
- libpng 1.2.2 support

Revision 1.8  2002/04/25 16:34:10  arturs
fixed a small typo

Revision 1.7  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.3  2001/04/30 16:05:19  kloczek
- added using %%{rpmcflags} macro.

Revision 1.2  2001/03/19 00:20:33  kloczek
- added info patch with info index entry fix,
- added texinfo to BuildRequires.

Revision 1.1  2001/03/19 00:00:53  qboosh
- from scratch
